/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive;

/**
 * An Agent is a couple (Thread, ReactiveEntity).
 * The life of an Agent presents 3 phases :
 * 1) Initialization.
 * 2) Participation to exchanges.
 * 3) Termination.
 */
public interface Agent {

	/**
	 * Executes the initialization script.
	 * @param launchingContext an inherited context for this Agent.
	 */	
	public void init(LaunchingContext launchingContext); 
	
	/**
	 * During this phase the Agent participates to exchanges.
	 */
	public void participate();

	/**
	 * Termination script.
	 */
	public void terminate();
}
