/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive;

/**
 * Produces the relative activity of an Agent.
 */
public interface AgentActivity {

	/**
	 * Returns an Agent that has been in activity.
	 * @return an Agent that has been in activity.
	 */
	public Agent getAgent();
	
	/**
	 * Returns the relative activity of the given Agent.
	 * Total activity of all the agents is equal to 1.0.
	 * @return the relative activity of the given Agent.
	 */
	public float getActivity();
}
