/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive;

/**
 * Provides an Agent crashing reporting method.
 */
public interface CrashingReport {

	/**
	 * This method is called when an Exception that has been thrown by an Agent
	 *   is cached by the system.
	 * @param entityId the id of an Agent that crashes.
	 * @param exception an Exception thrown by the Agent.
	 */	
	public void notifyCrash(String entityId, Exception exception);
	
	/**
	 * Returns true if no Agent crash has been notified.
	 * @return true if no Agent crash has been notified.
	 */
	public boolean isAllOk();
}
