/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive;

/**
 * An Event belongs to a ReactiveCommunity. An Event occurs or doesn't occur
 * during a particular instant of its ReactiveCommunity. A base Event (not a
 * message Event) is atomic and instantaneous : it is obtained at the same
 * instant of its generation.
 */
public interface Event {

	/**
	 * @return the ReactiveCommunity to which this Event belongs to,
	 */
	public ReactiveCommunity getCommunity();
	
	/**
	 * @return <tt>true</tt> if this Event is a message Event, <tt>false</tt> elsewhere.
	 */
	public boolean isMessageEvent();
}
