/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.demo.market;

import java.math.BigInteger;

/**
 * Anticipation of positive or negative transfer of Resource.
 */
public interface Anticipation {

	/**
	 * Returns the considered Resource.
	 * @return the considered Resource.
	 */
	public Resource getResource();

	/**
	 * Returns the positive or negative unit count of the considered Resource.
	 * @return the positive or negative unit count of the considered Resource.
	 */
	public BigInteger getResourceUnitCount();
}
