/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.demo.market.action;

import java.util.Random;

import org.xmloperator.reactive.demo.market.MarketBoard;
import org.xmloperator.reactive.impl.ActionImpl;

/**
 * Action of shaking the Transformations on a market place.
 */
public final class ShakeAction extends ActionImpl {
	public final MarketBoard marketBoard;
	public final Random random;
	
	public ShakeAction(MarketBoard marketBoard, Random random) {
		super(PRIORITY_LOW);
		if (marketBoard == null || random == null)
			throw new IllegalArgumentException();
		this.marketBoard = marketBoard;
		this.random = random;
	}
	
	////////////////////////
	// Action implementation
	////////////////////////
	
	public void execute(long permissionKey, long instant) {
		super.execute(permissionKey, instant);
		this.marketBoard.newShake(permissionKey, this.random).execute();
	}
	
	////////////////////////
	// Object implementation
	////////////////////////
	
	public String toString() {
		return "Shake";
	}
}
