/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.demo.market.impl;

import java.math.BigInteger;

import org.xmloperator.reactive.demo.market.Anticipation;
import org.xmloperator.reactive.demo.market.Resource;

/**
 * Anticipation implementation.
 */
public final class AnticipationImpl implements Anticipation {
	private final Object cause;
	private final Resource resource;
	private final BigInteger resourceUnitCount;
	
	public AnticipationImpl(Object cause, Resource resource, BigInteger resourceUnitCount) {
		if (cause == null || resource == null || resourceUnitCount == null)
			throw new IllegalArgumentException();
		this.cause = cause;
		this.resource = resource;
		this.resourceUnitCount = resourceUnitCount;
	}

	//////////////////////////////
	// Anticipation implementation
	//////////////////////////////
	
	public Resource getResource() {
		return this.resource;
	}

	public BigInteger getResourceUnitCount() {
		return this.resourceUnitCount;
	}
	
	////////////////////////
	// Object implementation
	////////////////////////
	
	public String toString() {
		return cause + " anticipation" + "(" + this.getResource() + ")";
	}
}
