/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element;

/**
 * Object that can be translated to an Element.
 * A TranslatableObject class is associated to a Rebuilder class,
 *   whose instance is able to rebuilding the TranslatableObject.
 */
public interface TranslatableObject {
	
	/**
	 * Translates this Object to a free ParentElement and returns it.
	 * @return the ParentElement that represents this Object.
	 */
	public ParentElement translate();
	
	/**
	 * Returns the Class of the corresponding Rebuilder.
	 * @return the Class of the corresponding Rebuilder.
	 */
	public Class<Rebuilder> getRebuilderClass();
}
