/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element.action;

import org.xmloperator.reactive.element.Element;
import org.xmloperator.reactive.element.RWElement;
import org.xmloperator.reactive.element.ElementBoard;

/**
 * Action of inserting an Element.
 */
public final class ElementInsertAction extends AbstractElementAction {
	
	public final Element insertedElement;
	
	public ElementInsertAction(ElementBoard elementBoard,
			Element referenceElement, Element insertedElement) {
		super(elementBoard, referenceElement);
		this.insertedElement = insertedElement;
	}
	
	////////////////////////
	// Action implementation
	////////////////////////
	
	public void execute(long permissionKey, long instant) {
		super.execute(permissionKey, instant);
		RWElement rwElement =
			(RWElement)this.elementBoard.rwElement(
				this.referenceElement, permissionKey);
		rwElement.insertBefore(this.insertedElement);
	}
	
	////////////////////////
	// Object implementation
	////////////////////////
	
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append(super.toString());
		sb.append("insertBefore");
		sb.append(this.insertedElement);
		return sb.toString();
	}
}
