/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element.action;

import org.xmloperator.reactive.element.Element;
import org.xmloperator.reactive.element.RWElement;
import org.xmloperator.reactive.element.ElementBoard;

/**
 * Action of removing an Element.
 */
public final class ElementRemoveAction extends AbstractElementAction {
	
	public ElementRemoveAction(ElementBoard elementBoard,
			Element referenceElement) {
		super(elementBoard, referenceElement);
	}
	
	////////////////////////
	// Action implementation
	////////////////////////
	
	public void execute(long permissionKey, long instant) {
		super.execute(permissionKey, instant);
		RWElement rwElement =
			(RWElement)this.elementBoard.rwElement(
				this.referenceElement, permissionKey);
		rwElement.remove();
	}
	
	////////////////////////
	// Object implementation
	////////////////////////
	
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append(super.toString());
		sb.append("remove");
		return sb.toString();
	}
}
