/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element.exception;

import org.xmloperator.reactive.exception.ReactiveException;

import org.xmloperator.reactive.element.ChildrenConstraint;

/**
 * This ReactiveException is thrown when one try to add a child
 *   to a ParentElement with no respect to a given ChildrenConstraint.
 */
public final class ChildrenConstraintException extends ReactiveException {

	private static final long serialVersionUID = -2042719613673268048L;

	public ChildrenConstraintException(ChildrenConstraint childrenConstraint) {
		super(childrenConstraint.toString());
	}
}
