/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.impl;

import org.xmloperator.reactive.Message;
import org.xmloperator.reactive.exception.SenderUncertifiableException;

/**
 * Message implementation.
 */
public abstract class MessageImpl implements Message {
	String senderEntityId = null;
	
	public MessageImpl() {
	}
	
	/////////////////////////
	// Message implementation
	/////////////////////////
	
	public boolean isActionMessage() {
		return false;
	}

	public boolean isTraceable() {
		return true;
	}

	public String getSenderEntityId() {
		return this.senderEntityId;
	}
	
	public void setSenderEntityId(String senderEntityId) {
		if (senderEntityId == null)
			throw new IllegalArgumentException();
		if (this.senderEntityId != null)
			throw new SenderUncertifiableException();
		this.senderEntityId = senderEntityId;
	}
	
	////////////////////////
	// Object implementation
	////////////////////////
	
	public String toString() {
		return this.senderEntityId;
	}
}
